edu.ucsb.nceas.metacat.dataquery

## Class MetacatAuthenticatedEcogridEndPoint

- java.lang.Object
- - edu.ucsb.nceas.metacat.dataquery.MetacatEcogridEndPoint
  - - edu.ucsb.nceas.metacat.dataquery.MetacatAuthenticatedEcogridEndPoint

- All Implemented Interfaces:
    org.ecoinformatics.datamanager.download.AuthenticatedEcogridEndPointInterface, org.ecoinformatics.datamanager.download.EcogridEndPointInterface

      public class MetacatAuthenticatedEcogridEndPoint
      extends MetacatEcogridEndPoint
      implements org.ecoinformatics.datamanager.download.AuthenticatedEcogridEndPointInterface

  This class implements AuthenticatedEcogridEndPointInterface and is configurable using the properties file. Useful for switching to remote endpoints etc.
  Author:
    leinfelder

- - ### Field Summary

    - ### Fields inherited from class edu.ucsb.nceas.metacat.dataquery.MetacatEcogridEndPoint

      `baseURL`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `MetacatAuthenticatedEcogridEndPoint()`
    `MetacatAuthenticatedEcogridEndPoint(java.lang.String sessionId)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getMetacatAuthenticatedEcogridEndPoint()` Gets the end point which Metacat implements authenticated ecogrid interface.
    `java.lang.String` | `getSessionId()`
    `void` | `setSessionId(java.lang.String id)`

    - ### Methods inherited from class edu.ucsb.nceas.metacat.dataquery.MetacatEcogridEndPoint

      `getMetacatEcogridAuthEndPoint, getMetacatEcogridEndPoint, getMetacatEcogridIdentifierEndPoint, getMetacatEcogridPutEndPoint, getSRBEcogridEndPoint, getSRBMachineName`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

    - ### Methods inherited from interface org.ecoinformatics.datamanager.download.EcogridEndPointInterface

      `getMetacatEcogridEndPoint, getSRBEcogridEndPoint, getSRBMachineName`

- - ### Constructor Detail

    - #### MetacatAuthenticatedEcogridEndPoint

          public MetacatAuthenticatedEcogridEndPoint()

    - #### MetacatAuthenticatedEcogridEndPoint

          public MetacatAuthenticatedEcogridEndPoint(java.lang.String sessionId)

  - ### Method Detail

    - #### getMetacatAuthenticatedEcogridEndPoint

          public java.lang.String getMetacatAuthenticatedEcogridEndPoint()

      Gets the end point which Metacat implements authenticated ecogrid interface. This end point will be used to handle ecogrid protocol
      Specified by:
        `getMetacatAuthenticatedEcogridEndPoint` in interface `org.ecoinformatics.datamanager.download.AuthenticatedEcogridEndPointInterface`
      Returns:
        end point url string

    - #### getSessionId

          public java.lang.String getSessionId()

      Specified by:
        `getSessionId` in interface `org.ecoinformatics.datamanager.download.AuthenticatedEcogridEndPointInterface`

    - #### setSessionId

          public void setSessionId(java.lang.String id)

Copyright © 2020 Regents of the University of California. All Rights Reserved.